Eclipse BIRT Report Object Model (ROM)

ListGroup Element

# Element Overview

Represents a group break level within a list.

### Details

Display Name: | List Group
Since: | 1.0
XML Element: | `group`
Extends: | ListingGroup
Extendable: | No
Abstract: | No
Name Space: | None
Name Requirement: | Not Supported
Allows User Properties: | Yes
Has Style: | No

### Method Summary

onPageBreak
onPrepare
  It is for a script startup phase. No data binding yet. The design of an element can be changed here.

### Slot Summary

header
  The header band for this group.
footer
  The footer band for this group.

### Inherited Properties

ACLExpression, bookmark, bookmarkDisplayName, cascadeACL, eventHandlerClass, filter, groupName, hideDetail, interval, intervalBase, intervalRange, keyExpr, newHandlerOnEachEvent, pageBreakAfter, pageBreakBefore, pageBreakInside, repeatHeader, sort, sortDirection, sortType, toc, viewAction

### Inherited Methods

onCreate, onRender

### Description

A list is most often divided into a number of groups. Groups provide a way of showing common headings for a group of related rows. Groups often have subtotals. For example, a sales report may show totals per sales rep and region.

A group is defined by a group key. The key is a column from the query. If the group key is a time field then user often want to group on an interval such as month or quarter.

# Method Detail

## onPageBreak Method

### Synopsis

`None obj.onPageBreak( )`

### Details

Since: | 2.1
Context: | presentation
Arguments: | None
Return Type: | None

## onPrepare Method

It is for a script startup phase. No data binding yet. The design of an element can be changed here.

### Synopsis

`None obj.onPrepare( )`

### Details

Since: | 2.0
Context: | startup
Arguments: | None
Return Type: | None

### Description

It is for a script startup phase. No data binding yet. The design of an element can be changed here.

# Slot Detail

## header Slot

The header band for this group.

### Details

Display Name: | Header
Since: | 1.0
XML Element: | `header`
Contents: | List of AutoText, Data, ExtendedItem, FreeForm, Grid, Image, Label, List, Table, TemplateReportItem, Text, TextData
Default Style: | list-group-header

### Description

The header band appears before the first detail row of a group. This band contains any number of sections. Sections appear sequentially one after another, or can be selected conditionally.

Report items within the header slot have visibility to the entire result set. If the header contains a simple element such as a data item, then it will display values from the first row of the group. If the header contains a chart, then the chart displays rows from the entire group. If the header displays an aggregate, then the aggregate is computed over the entire group.

In the default style, n is the group nesting level. n=1 is the topmost group, n=9 is the bottom-most group.

## footer Slot

The footer band for this group.

### Details

Display Name: | Footer
Since: | 1.0
XML Element: | `footer`
Contents: | List of AutoText, Data, ExtendedItem, FreeForm, Grid, Image, Label, List, Table, TemplateReportItem, Text, TextData
Default Style: | list-group-footer

### Description

The footer band appears after the last detail row of a group. This band contains any number of sections. Sections appear sequentially one after another, or can be selected conditionally.

Report items within the footer slot have visibility to the entire result set. If the footer contains a simple element such as a data item, then it will display values from the first row of the group. If the footer contains a chart, then the chart displays rows from the entire group. If the footer displays an aggregate, then the aggregate is computed over the entire group.

In the default style, n is the group nesting level. n=1 is the topmost group, n=9 is the bottom-most group.